Subject: Re: CCL:more summary about adding hydrogen

From: "Rebecca Rone" <[email-masked]>
Date: Mon, 27 Nov 2000 12:40:44 -0600

Dear Mao,

The segment name correction will probably fix your problem, but a few words
of caution are in order if you use Deepak's suggestion.

If you use IC BUILD instead of HBUILD, you may have more success as
suggested, but you will probably also have an initial energy which is much
too high and will force distortion of the x-ray structure when minimized.
The command HBUILD is used to search for local minima for placement of the
H's added to the x-ray structure. It is critical for maintaing the correct
secondary structures, particularly alpha helices and beta-sheets, turns and
wings. It is used to form the correct H-bonding pattern for these
structures. With all my scripts to construct models from x-ray structures I
typically run IC PARAM and IC BUILD to find any and all problems inherent in
the x-ray structure itself and then later in the script run HBUILD. Between
the two I run commands to find any local hot spots (high energy) which
indicate a potential problem with the x-ray structure itself. Things to
watch for are heavy atoms which have no coordinates or two sets of
coordinates due to thermal fluctuations in the crystal. Also, watch for
other areas with high B factors(thermal fluctuation/experimental error).

If you have QUANTA you can have it color on the fourth parameter where the B
factor is stored. You can then run a script from the CHARMm manual to
overwrite the fourth paramater with the local energy to search for hot
spots. I usually store and visualize both these structures before I add
hydrogens with HBUILD.

If you have questions please get in touch.

Becky
Dr. Rebecca Rone
Rone Biotechnology Consulting
Chicago, IL.
New Phone: 630-638-2585

----- Original Message -----
From: "Mao Xiang" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, November 21, 2000 6:45 PM
Subject: CCL:more summary about adding hydrogen

> Hi:
>
>    Here is another two email replying my questoin that I forgot to put
> them in my last eamil. Thanks.
>
> ----------------
> From: Deepak Singh <[email-masked]>
>
> Hi
>
>
> YOu should theoretically not need to use HBUILD.
>
> Just use
>
>
> IC PARAM
> IC BUILD
>
>
> where you used HBUILD.
>
>
> From: [email-masked]>
>
> I am not an expert, either. However, I could solve this problem by
> addition of the sgment name to the lines of coordinate. For example you
> are generating "PROT" segment. In this case, I think CHARMM tries to
> find
> the corresponding coordinate for the atom, the residue, and the segment
> as
> specified in psf file. If you look at the first error, there is nothing
> for segname:
>
>  ** WARNING ** For atom in coordinate file, could not find residue in
> PSF, and is thus ignored:
>
>   SEGID=     RESID=1    RESNAME= GLU  TYPE= N
>  *** LEVEL  1 WARNING *** BOMLEV IS    0
>
> I edited the pdb file and added the segname at the end of the coordinate
> lines. Then it worked. The format is fixed. Use the following line as an
> example (If the line is broken to two line, it is because of my editor,
> join them first):
>
> ATOM      1  N   ALA A  19     158.405  67.834  38.687  1.00101.61
> PROT
>
>
>
>
>   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> |  Xiang Mao                                                     |
> |  Lab of Molecular Regulation for Microbial Secondary Metabolism |
> |  Shanghai institute of Plant Physiology, Academia Sinica        |
> |  300 Fenglin Road, Shanghai, China, 200032                      |
> |  Tel: +86-21-64042090-4791                                      |
> |  Fax: +86-21-64042385                                           |
>   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>
>
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody    |   [email-masked] -- To
Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net
70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan:
[email-masked]